<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="contactform.css">
    <title>Contact Us!</title>

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Serif+Oriya:wght@400..700&display=swap" rel="stylesheet">
    <link rel="icon" type="image/x-icon" href="images/newhouse1.ico">

    <?php


$fname = $_REQUEST['firstName'];
$lname = $_REQUEST['lastName'];
$phone = $_REQUEST['phone'];
$comments = $_REQUEST['comments'];
$message = "Name: " . $fname . " " . $lname . "\nPhone: " . $phone;  

$to = "stephen.mathie@mtchs.org";
$subject = "Contact Form Request";
$from = $_REQUEST['email'];
$spamCheck = $_REQUEST['address'];

if($spamCheck) {
     die("Don't send this");
}
else {
     mail($to, $subject, $message, $from);
} 

?>

</head>
<body>
<main>
<header class="header">
<nav>
<a href="main.html">
<img id="logo" src="images/newhouse.png" height="75">
</a>
<a href="history.html">History</a>
<a href="accomodations.html">Accomodations</a>
<a href="info.html">Policies and Information</a>
<a href="contactform.html">Contact Us</a>
</nav>
</header>


<section class="text" style="background-color:white">
    <section class="picture">
    <img src="images/cambridge_house_main_2.webp" id="picture">
    </section>
    <hr>
    <h1>Contact Us!</h1>
    <hr>
    <p>Use this contact form to ask questions about the Cambridge House!</p>
    </section>

<section class="image" style="background-color:white">

<form action="onsubmit.php" method="POST">
    <div>
    <label>First Name:</label>
        <input type="text" placeholder="First Name" required name="firstName">
    </div>
    <div>
        <label>Last Name:</label>
        <input type="text" placeholder="Last Name"required name="lastName">
    </div>
    <div>
        <label>Email:</label>
        <input type="email" placeholder="johndoe@mtchs.org"required name="email">
    </div>
    <div>
        <label>Phone:</label>
        <input type="tel" placeholder="(000) 000-0000"name="phone">
    </div>
    <div>
        <label>Comments:</label>
        <textarea maxlength="256" placeholder="Let us know what you're thinking..."name="comments"></textarea>
    </div>
    <div>
    <label>Ready to Send?</label>
        <input type="submit" value="submit" class="button">
    </div>
</form>
</section>
<footer class="footer" style="background-color:white;">
<nav>
<h3>(208) 257-3555</h3>
<h3>95 S 1st Street Cambridge, ID 83610</h3>
<a href="https://www.google.com/?safe=active&ssui=on" target="_blank">
    <img src="images/facebook.png" height="30"> 
    </a>
<a href="https://www.airbnb.com/rooms/900759631454045604?source_impression_id=p3_1729539267_P3znWpLLBjrycTH7" target="_blank">Book us on Airbnb!</a>
<h3>&copy Copyright Cambridge House 2024</h3>
</nav>



</footer>
</main>
</body>
</html>